Ok…you have a Joomla 2.5 site and you get this message in your admin panel:

joomla_eol

So what are you supposed to do? Well, you could do nothing. But that is not the best answer. It means that there are no more updates for Joomla 2.5. Which means no more security updates. Which means that you are more vulnerable to hacks and all sorts of nasty stuff that could disrupt your site. You also do not have the latest version of Joomla which has far more features than your Joomla 2.5 site.

So how to handle it? If you are savvy like I am, you go through the documentation and upgrade the site to Joomla 3.3. But as you read the documentation, you find that it is not so simple just to click a button and you are upgraded. There are pitfalls involved and if you don’t do this properly, you can screw up your site. If you don’t have a 3.x Joomla template and up to date extensions, you will have issues. And I am sure if you have a business that relies on a website, you don’t want to chance this if you are not familiar with the process.

Sirius Web Engineering just did one of these upgrades for Camp Hillcroft. It took about a day to upgrade the site to the latest version of Joomla. Our company was also able to make their site fully responsive as previously it wasn’t.

So if you have a Joomla 2.5 site and you need an upgrade, give us a call or an email and we can discuss how we can get your website up to date.

 

Comments


Add Comment